Dancer2::Core::DSL(3pm)

NAME
Dancer2::Core::DSL - Dancer2's Domain Specific Language (DSL)

VERSION
version 2.1.0

FUNCTIONS

  setting
Lets you define settings and access them:

    setting('foo' => 42);
    setting('foo' => 42, 'bar' => 43);
    my $foo=setting('foo');

If settings were defined returns number of settings.

  set ()
alias for setting:

    set('foo' => '42');
    my $port=set('port');

SEE ALSO
<http://advent.perldancer.org/2010/18>

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.